> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a breakdown of your credit consumption for ETL Users

> Returns the number of credits you have been charged for ETL Users in a given period, and which users contributed charges. Because ETL Users are metered on monthly active unique users, your `consumedFrom` and `consumedBefore` parameters should reflect the period for a single monthly invoice. This data refreshes every three hours to reflect recent credit usage.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/consumption/etl-users
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/consumption/etl-users:
    get:
      tags:
        - Consumption
      summary: Get a breakdown of your credit consumption for ETL Users
      description: >-
        Returns the number of credits you have been charged for ETL Users in a
        given period, and which users contributed charges. Because ETL Users are
        metered on monthly active unique users, your `consumedFrom` and
        `consumedBefore` parameters should reflect the period for a single
        monthly invoice. This data refreshes every three hours to reflect recent
        credit usage.
      operationId: getEtlUsers
      parameters:
        - description: First date+time to include in results (inclusive)
          example: '2024-07-01T00:00:00.123Z'
          in: query
          name: consumedFrom
          required: true
          schema:
            type: string
            format: date-time
        - description: Date+time before which results should be included (exclusive)
          example: '2024-07-31T00:00:00.123Z'
          in: query
          name: consumedBefore
          required: true
          schema:
            type: string
            format: date-time
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EtlUsersConsumption'
          description: Successful
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Wrong request parameters used
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    EtlUsersConsumption:
      type: object
      properties:
        chargedUsers:
          type: array
          description: >-
            The users whose activity contributed credit charges. This does not
            include users who contributed to the included monthly users
            allowance, if applicable.
          example:
            - username: User 6
            - username: User 7
          items:
            $ref: '#/components/schemas/ChargedEtlUser'
        consumedBefore:
          type: string
          format: date-time
          description: Date+time before which results are included (UTC) (exclusive)
          example: '2024-01-31T00:00:00.000Z'
        consumedFrom:
          type: string
          format: date-time
          description: First date+time included in results (UTC) (inclusive)
          example: '2024-01-01T00:00:00.000Z'
        credits:
          type: number
          format: double
          description: The total credits charged during this period
          example: 100
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    ChargedEtlUser:
      type: object
      properties:
        username:
          type: string
          description: The username of this user
          example: User 6
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````